- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# SCS::CanAeroDataManager Class Reference

Top-level interface. You must implement this to handle service requests addressed to you and receive normal operation data. More...

`#include <canaerodatamanager.h>`

Inheritance diagram for SCS::CanAeroDataManager:
[legend]

List of all members.

## Public Member Functions
virtual void | handleSTS ()=0
virtual void | handleMCS (uint16_t module, uint16_t mode)=0
virtual uint32_t | handleMIS ()=0
virtual bool | handleDRS (uint32_t id)=0
virtual void | incomingData (const can_t &can)=0
virtual void | changeNodeId (uint8_t node_id)=0

## Detailed Description

Top-level interface. You must implement this to handle service requests addressed to you and receive normal operation data.

This interface's functions are called after processing of protocol headers and standard node services. It must react to node-specific service requests and handle incoming data.

Author:
  (c) 2009, 2010 by Philipp Münzel

Version:
  1.3

## Member Function Documentation

virtual void SCS::CanAeroDataManager::changeNodeId | ( | uint8_t | node_id | ) | `[pure virtual]`

An NCS caused a re-numbering of this node. Make sure all your CanAeroMetadatas are updated to the new sending node id, otherwise you will hear yourself and this causes all kinds of nasty side-effects.

Parameters:

  node_id | the new node_id this node was assigned

virtual bool SCS::CanAeroDataManager::handleDRS | ( | uint32_t | id | ) | `[pure virtual]`

In case your application publishes CAN Aerospace normal operation data, you must react on data request services here.

Parameters:

  id | CAN id of data to be transmitted (cyclic) from now on

Implemented in SCS::Receiver.

virtual void SCS::CanAeroDataManager::handleMCS | ( | uint16_t | module,
|  | uint16_t | mode
| ) |  | `[pure virtual]`

In case your application has modules exposed to the module information and module configuration service, you must react on module configuration services here.

Parameters:

  module | Module affected
  mode | Mode parameter that shall be passed to this module

Implemented in SCS::Receiver.

virtual uint32_t SCS::CanAeroDataManager::handleMIS | ( |  | ) | `[pure virtual]`

In case your application has modules exposed to the module information and module configuration service, you must react on module information services here.

Returns:
  the bitfield of active modules

Implemented in SCS::Receiver.

virtual void SCS::CanAeroDataManager::handleSTS | ( |  | ) | `[pure virtual]`

In case your application publishes CAN Aerospace normal operation data, the state transmission service must trigger a sending of all data previously requested via DRS.

Implemented in SCS::Receiver.

virtual void SCS::CanAeroDataManager::incomingData | ( | const can_t & | can | ) | `[pure virtual]`

Incoming normal operation data must be handled in this function.

Parameters:

  can | Message containing normal operation data

The documentation for this class was generated from the following file:

- canaerodatamanager.h